iter = 1e3;
n = 5e3;
a = randn(n,1);
b = randn(n,1);

tic;
for i = 1:iter
  c = conv_old (a, b);
end
runtime_old_conv = toc

tic;
for i = 1:iter
  cc = conv_new (a, b);
end
runtime_new_conv = toc

assert (c, cc, 1e-12)

ratio = runtime_old_conv / runtime_new_conv
